package com.starbuds.server.api.app.constant;

import com.starbuds.server.common.constant.common.IApiError;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/14
 */
public enum ApiError implements IApiError {
    /**
     * 您呼叫的用户正忙
     */
    SINGLE_CHAT_BUSY("SINGLE_CHAT_BUSY", "主播小姐姐太抢手了，等会再来吧"),
    ;

    private String code;
    private String msg;

    ApiError(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }


    /**
     * 错误代码
     *
     * @return
     */
    @Override
    public String getCode() {
        return code;
    }

    /**
     * 错误说明
     *
     * @return
     */
    @Override
    public String getMsg() {
        return msg;
    }
}
