package com.starbuds.server.api.app.pojo;

import lombok.Data;

import javax.ws.rs.FormParam;

/**
 * 下单明细
 *
 * @author aoe
 * @date 2020/9/25
 */
@Data
public class AddGameDevOrderDetailForm {

    /**
     * 玩法id
     */
    @FormParam("playId")
    private String playId;

    /**
     * 玩法值
     */
    @FormParam("detailOrder")
    private Integer detailOrder;

    /**
     * 返点序列值
     */
    @FormParam("series")
    private String series;

    /**
     * 单价
     */
    @FormParam("price")
    private Integer price;

    /**
     * 玩法名称
     */
    @FormParam("playName")
    private String playName;

}
