package com.starbuds.server.api.app.pojo;

import lombok.Data;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/5/27 17:25
 * @Description 内容评论创建请求
 */
@Data
public class CommentAddReq implements Serializable {

    /**
     * 内容id
     */
    @FormParam("feedId")
    private Long feedId;
    /**
     * 答复id
     */
    @FormParam("replyId")
    private Long replyId;
    /**
     * 最顶层的id
     */
    @FormParam("origReplyId")
    private Long origReplyId;
    /**
     * 用户id
     */
    @FormParam("userId")
    private Long userId;
    /**
     * 答复用户id
     */
    @FormParam("replyUserId")
    private Long replyUserId;
    /**
     * 评论内容
     */
    @FormParam("content")
    private String content;
    /**
     * 是否热门
     */
    @FormParam("isHot")
    private Integer isHot;
}
