package com.starbuds.server.api.app.pojo;


import lombok.Data;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-19 18:05:20
 * @Description 意见反馈
 */
@Data
public class DataFeedbackReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long feedId;
    /**
     * 意见类型
     */
    @FormParam("feedType")
    private Integer feedType;
    /**
     * 用户id
     */
    @FormParam("userId")
    private Long userId;
    /**
     * 意见
     */
    @FormParam("suggest")
    private String suggest;
    /**
     * 图片url
     */
    @FormParam("imgUrl")
    private String imgUrl;
    /**
     * 管理员id
     */
    private Long adminId;
    /**
     * 处理状态
     */
    private Integer handleStatus;
    /**
     * 处理意见
     */
    private String handleMsg;
    /**
     * 处理时间
     */
    private Long handleTime;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 状态
     */
    private Integer status;

    /**
     * 联系电话
     */
    @FormParam("contactNumber")
    private String contactNumber;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 软件版本号
     */
    private String appVersion;

    /**
     * 设备系统版本号
     */
    private String deviceSystemVersion;

}
