package com.starbuds.server.api.app.pojo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: Mazexal
 * @Date: 2021/7/27 9:46
 */
@Data
public class UserIntimacyRankVo implements Serializable {

    /**
     * 守护关系
     */
    private List<UserWatchExpireVo> userWatchList;

    /**
     * 守护关系总数
     */
    private Integer userWatchCount;

    /**
     * 拍卖房间
     */
    private Long roomId;

    /**
     * 用户陪伴榜
     */
    private List<UserIntimacyVo> userIntimacyList;
}
