package com.starbuds.server.api.app.pojo;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author: lujiao
 * @Date: 2021/7/27 9:51
 */
@Data
public class UserIntimacyVo implements Serializable {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 头像
     */
    private String userAvatar;

    /**
     * 性别
     */
    private Integer userSex;

    /**
     * 用户年龄
     */
    private Integer userAge;

    /**
     * 陪伴分钟数
     */
    private Integer accompanyMinutes;

    /**
     * 亲密关系值
     */
    private Integer intimacyValue;

    /**
     * 排名
     */
    private Integer rank;

    /**
     * 状态 派对中 / 在线 / 离线
     */
    private Integer status;

    /**
     * 头饰
     */
    private String headWare;

    /**
     * 房间ID
     */
    private Long roomId;
}
