package com.starbuds.server.api.app.pojo.gift.vo;

import lombok.Data;

/**
 * (动态)打赏礼物记录
 *
 * @author aoe
 * @date 2021/11/16
 */
@Data
public class GiftRewardHisVO {

    /**
     * 赠送人id
     */
    private Long userId;

    /**
     * 赠送人昵称
     */
    private String userName;

    /**
     * 赠送人头像
     */
    private String userAvatar;

    /**
     * 礼物id
     */
    private Long giftId;

    /**
     * 礼物名称
     */
    private String giftName;

    /**
     * 礼物图标
     */
    private String giftIcon;

    /**
     * 礼物数量
     */
    private Integer quantity;
}
