package com.starbuds.server.api.app.pojo.rtc;

import lombok.Data;

import java.io.Serializable;

/**
 * 拍卖房记录
 *
 * @author aoe
 */
@Data
public class AppRtcRoomAuctionVO implements Serializable {

    /**
     * 拍卖房记录id
     */
    private Long rtcRoomAuctionId;

    /**
     * 房间ID
     */
    private Long roomId;

    /**
     * 被拍卖用户id
     */
    private Long bidUserId;

    /**
     * 拍卖物品id
     */
    private Long bidItemId;

    /**
     * 拍卖物品名称
     */
    private String bidItemName;

    /**
     * 拍卖时长(单位：天)
     */
    private Integer bidDuration;

    /**
     * 起拍礼物id
     */
    private Long startingGiftId;

    /**
     * 起拍礼物名称
     */
    private String startingGiftName;

    /**
     * 起拍礼物价格
     */
    private Long startingGiftPrice;

    /**
     * 起拍礼物图标
     */
    private String startingGiftIcon;

}