package com.starbuds.server.api.app.pojo.rtc;

import lombok.Data;

import java.io.Serializable;

/***
 * @author qinjiang
 * @description 房间背景VO
 * @date 2021/12/11
 */
@Data
public class RtcRoomBackgroundVO implements Serializable {
    /**
     * 背景 id
     */
    private Integer backgroundId;

    /**
     * 背景名称
     */
    private String backgroundName;

    /**
     * 是否动态壁纸
     */
    private Integer backgroundIsDynamic;

    /**
     * 壁纸地址
     */
    private String backgroundUrl;

    /**
     * 动画文件
     */
    private String dynamicFile;
}
