package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

import javax.ws.rs.FormParam;

/**
 * 活动弹幕接口
 *
 * @Author: lujiao
 * @Date: 2021/8/9 15:11
 */
public interface ActivityBarrageFacade {

    /**
     * 发送弹幕
     *
     * @param context
     * @param activityId
     * @return
     */
    Result sendBarrage(String context, Long activityId);


    /**
     * 获取弹幕
     *
     * @param activityId
     * @return
     */
    Result getBarrage(Long activityId);

    /**
     * 创建弹幕
     *
     * @param sendId
     * @param receiveId
     * @param giftRank
     * @return
     */
    Result createBradCast(Long sendId, Long receiveId, Long giftRank);
}
