package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 内容-照片墙接口
 *
 * @author aoe
 * @date 2021/1/29
 */
public interface FeedPhotoWallFacade {

    /**
     * 创建照片墙
     *
     * @param url
     * @return
     */
    Result createPhotoWall(String url);

    /**
     * 获得照片墙列表
     *
     * @param userId
     * @return
     */
    Result getPhotoWallList(Long userId);

    /**
     * 删除照片墙
     *
     * @param id
     * @return
     */
    Result deletePhotoWall(Long id);
}
