package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.api.app.pojo.gift.SendRewardGiftForm;
import com.starbuds.server.common.pojo.api.Result;

import javax.validation.Valid;

/**
 * 打赏礼物
 */
public interface GiftRewardFacade {

    /**
     * (动态)打赏礼物列表
     *
     * @return
     */
    Result getRewardGifts();

    /**
     * 赠送(动态)打赏礼物
     *
     * @param form
     * @return
     */
    Result sendRewardGift(@Valid SendRewardGiftForm form);

    /**
     * (动态)打赏礼物记录列表
     *
     * @param feedId    动态id
     * @param pageIndex
     * @param pageSize
     * @return
     */
    Result getRewardGiftHisList(Long feedId, Integer pageIndex, Integer pageSize);
}
