package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;
import com.starbuds.server.common.pojo.util.PageQO;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;

/**
 * @author laoliu
 * @date 2021/10/26 18:48
 * @description 个播接口
 */
public interface RtcRoomSingleLiveFacade {

    /**
     * 获取个播前置信息
     */
    Result getSingleLive();

    /**
     * 开始直播
     */
    Result startLive(String roomCover, String roomHorizontalCover, String roomName, Long categoryId, Integer roomType);

    /**
     * 本场直播收益统计
     */
    Result getLiveIncome(Long singleRtcHisId);

    /**
     * 我的直播记录
     */
    Result getMyLiveHis(PageQO pageQO);

    /**
     * 关播
     */
    Result stopLive(Long roomId);

    /**
     * 直播推荐
     */
    Result getSingleRtcRoomSuggestList();
}
