package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 会员接口
 *
 * @author Lay
 * @date 2020/4/4
 */
public interface VipFacade {
    /**
     * 获取 vip 项目
     *
     * @return
     */
    Result getVipItems();

    /**
     * 创建会员订单
     *
     * @param itemId
     * @param payWay
     * @return
     */
    Result addVipOrder(Long itemId, Integer payWay);

    /**
     * 获取最近的
     *
     * @return
     */
    Result getLatestVip();
}
