package com.starbuds.server.api.app.v2;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import sun.rmi.runtime.Log;

import cn.hutool.core.collection.CollectionUtil;
import com.starbuds.server.api.app.inf.PermitGuest;
import com.starbuds.server.api.app.v2.facade.RtcFacadeV2;
import com.starbuds.server.api.app.v1.impl.RtcBaseFacade;
import com.starbuds.server.common.constant.data.ConfigBusinessDictEnum;
import com.starbuds.server.common.constant.rtc.RtcBusinessTypeEnum;
import com.starbuds.server.common.pojo.api.MutableResult;
import com.starbuds.server.common.pojo.api.Result;
import com.starbuds.server.common.pojo.db.RtcRecommendDO;
import com.starbuds.server.common.pojo.rtc.RtcRankItem;
import com.starbuds.server.common.pojo.rtc.RtcRoomListItem;
import com.starbuds.server.common.service.data.ConfigBusinessDictService;
import com.starbuds.server.common.service.rtc.RtcRecommendService;
import com.starbuds.server.common.utils.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;
import org.junit.platform.commons.util.StringUtils;
import org.springframework.stereotype.Component;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import java.util.List;

/**
 * @author gy
 * @className ApiController
 * @description
 * @date 2023/5/25
 */

//@RestController
//@RequestMapping("/api")
@Path("/v2/rtc")
@Produces(ContentType.APPLICATION_JSON_UTF_8)
@Component
@Slf4j
public class ApiController {

    @GET
    @Path("getHotRoomList")
    @PermitGuest
//    @GetMapping("/users")
    public String users() {
        System.out.print("123123123123");
        return "123";
    }

}
