package com.starbuds.apichannel.pojo;

import lombok.Data;

/**
 * 渠道钱包兑换明细
 *
 * @author aoe
 * @date 2020/8/17
 */
@Data
public class ExchangeDetail {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 区号（默认86）
     */
    private String areaCode;

    /**
     * 金额
     */
    private Long amount;
}
