package com.starbuds.apicommon;

import com.starbuds.login.AppLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;

import static com.starbuds.test.utils.XyHttpTools.HOST_API_COMMON_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

/**
 * @author aoe
 * @date 2020/5/28
 */
public class DataFacadeTest {

    private static String HOST = HOST_API_COMMON_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;

        try {
            AppLoginTest.saveLoginToken(HOST, "15757876459");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void getFeedImageUploadConfigTest() throws IOException {
        String action = "api-common/v1/data/getFeedImageUploadConfig";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void getFeedVideoUploadConfigTest() throws IOException {
        String action = "api-common/v1/data/getFeedVideoUploadConfig";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void getFeedVideoCoverUploadConfigTest() throws IOException {
        String action = "api-common/v1/data/getFeedVideoCoverUploadConfig";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }
}
