package com.starbuds.server.api.app.v1.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.starbuds.login.AppLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;
import static com.starbuds.test.utils.XyResultTools.getData2Array;

public class FeedPhotoWallFacadeImplTest {

    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;

        try {
            AppLoginTest.saveLoginToken(HOST, "15757876459");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    /**
     * 创建照片墙
     */
    @Test
    public void createPhotoWallTest() throws IOException {
        String action = "api-app/v1/feed/createPhotoWall";

        Map<String, String> params = new HashMap<>();
        params.put("url", "http://feed.qn.panygo.com/image/32609354645556/1610609469084.png");
        String res = XyHttpTools.post(HOST, action, params);
//        checkSuccess(res);

        String photoWallStr = XyHttpTools.get(HOST, "api-app/v1/feed/getPhotoWallList");
        JSONArray photoWallList = getData2Array(photoWallStr);
        System.out.println("-----------------------------------------------------------");
//        System.out.println(JSON.toJSONString(photoWallList, true));
        System.out.println("照片墙数量 " + photoWallList.size());
        System.out.println("-----------------------------------------------------------");
    }

}