package com.starbuds.server.api.app.v1.impl;

import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;

/**
 * 首页测试
 *
 * @Author: lujiao
 * @Date: 2022/1/6 10:53
 */
public class MainPageTest {


    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
    }

    @Test
    public void getRtcRoomSuggestListTest() throws IOException {
        String action = "api-app/v1/rtc/getRtcRoomSuggestList?showType=0";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
    }

    @Test
    public void getRtcRoomHisListTest() throws IOException {
        String action = "api-app/v1/rtc/getRtcRoomHisList";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
    }

    @Test
    public void getActivityInfoListTest() throws IOException {
        String action = "api-app/v1/feed/getFeedActivityInfoList";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
    }

    @Test
    public void getMainPageRoomListTest() throws IOException {
        String action = "api-app/v1/rtc/getMainPageRoomList";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
    }

    @Test
    public void getHotRoomListTest() throws IOException {
        String action = "api-app/v2/rtc/getHotRoomList";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
    }


    @Test
    public void getWatchWallConfig() throws IOException {
        String action = "api-app/v1/watch/getWatchWallHis";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
    }

    @Test
    public void getLastWatchWallRecordConfig() throws IOException {
        String action = "api-app/v1/watch/getLastWatchWallRecord";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
    }

    @Test
    public void getBroadWallHisTest() throws IOException {
        String action = "api-app/v1/watch/getBroadWallHis";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
    }
}
