package com.starbuds.server.api.app.v1.impl;


import com.starbuds.login.AppLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

public class UserFacadeImplTest {

    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;

        try {
            AppLoginTest.saveLoginToken(HOST, "18158183656");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    // 修改昵称
    @Test
    public void setNameTest() throws IOException {
        String action = "api-app/v1/user/setName";
        Map<String, String> params = new HashMap<>();
        params.put("userName", "通知测试修改昵称6");
        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    // 修改个人资料
    @Test
    public void editProfileTest() throws IOException {
        String action = "api-app/v1/user/editProfile";
        Map<String, String> params = new HashMap<>();
        params.put("userName", "修改我我我");
        params.put("userAvatar", "http://user.qn.panygo.com/avatar/109210046038016/1588148462166.png");
        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

}