# 客户端接口

## i18n 国际化说明
### 本地配置文件
#### I18nInitPropertiesTest 国际化文件初始化
##### text2csv()
- 原始消息转csv文件
- src/test/resources/init.txt（所有中文消息） 转 src/test/resources/i18n-英语.csv

##### enCsvToProperties()
- 翻译后的 csv 文件转正式 i18n-en.properties
- src/test/resources/i18n/i18n-英语.csv 转 src/main/resources/i18n/i18n-en.properties

#### I18nUtilTest Spring Boot 国际化功能测试类
#### ActivityFacadeImplTest 
- 含有 I18n 的方法，协助测试国际化功能

### 数据库动态读取

#### 客户端接口
1. [礼物接口>获取礼物](https://pt.timichat.net/console/api?p=120592570081591296&i=835) api-app/v1/gift/getGift
2. [礼物接口>获取礼物列表](https://pt.timichat.net/console/api?p=120592570081591296&i=532) api-app/v1/gift/getGifts
3. [背包接口>获取背包勋章列表](https://pt.timichat.net/console/api?p=120592570081591296&i=604) api-app/v1/bag/getMedalList 
4. [背包接口>获取背包坐骑列表](https://pt.timichat.net/console/api?p=120592570081591296&i=603) api-app/v1/bag/getMountsList 
5. [背包接口>获取背包礼物列表](https://pt.timichat.net/console/api?p=120592570081591296&i=601) api-app/v1/bag/getGiftList
6. [背包接口>获取背包道具列表](https://pt.timichat.net/console/api?p=120592570081591296&i=602) api-app/v1/bag/getPropsList
7. [金币商城接口>获取商品列表](https://pt.timichat.net/console/api?p=120592570081591296&i=1000) api-app/v1/coinShop/getGoodsList
8. [金币商城接口>获取商品类目](https://pt.timichat.net/console/api?p=120592570081591296&i=1003) api-app/v1/coinShop/getGoodsCategories
9. [配置接口>获取用户标签](https://pt.timichat.net/console/api?p=120592570081591296&i=984) api-app/v1/config/getUserTags 
10. [配置接口>获取单聊评价标签](https://pt.timichat.net/console/api?p=120592570081591296&i=952) api-app/v1/config/getSingleChatEvaluateTags
11. [配置接口>获取初始化配置](https://pt.timichat.net/console/api?p=120592570081591296&i=472) api-app/v1/config/getInitConfig
12. [配置接口>获取兴趣标签](https://pt.timichat.net/console/api?p=120592570081591296&i=985) api-app/v1/config/getHobbyTags
13. [配置接口>获取举报原因](https://pt.timichat.net/console/api?p=120592570081591296&i=514) api-app/v1/config/getReportReasons
14. [配置接口>获取金币类型名称](https://pt.timichat.net/console/api?p=120592570081591296&i=932) api-app/v1/config/getCoinTypeNameMap



