package com.starbuds.server.api.app.pojo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import javax.ws.rs.FormParam;
import java.util.List;

/**
 * Game Dev 下单
 *
 * @author aoe
 * @date 2020/9/25
 */
@Data
public class AddGameDevOrderForm {

    /**
     * 游戏id
     */
    @FormParam("gameId")
    private String gameId;

    /**
     * 下单期号
     */
    @FormParam("curPeriod")
    private String curPeriod;

    /**
     * 倍数
     */
    @FormParam("bet")
    private Integer bet;

    /**
     * 明细列表
     */
    @FormParam("details")
    private String details;
}
