package com.starbuds.server.api.app.pojo;

import lombok.Data;

import java.util.List;

/**
 * 获取游戏余额-所有平台
 *
 * @author aoe
 * @date 2020/9/16
 */
@Data
public class BatQueryBalanceVo {

    /**
     * 游戏钱包总金额
     */
    private Long total = 0L;

    /**
     * 待回收金额
     */
    private Long recycleAble = 0L;

    /**
     * 平台钱包
     */
    private List<BatQueryBalanceItem> list;
}
