package com.starbuds.server.api.app.pojo;

import lombok.Data;

/**
 * @Author: lujiao
 * @Date: 2022/1/13 16:32
 */
@Data
public class BroadcastItemVO {

    /**
     * 发送者ID
     */
    private Long userId;

    private String userName;

    private String userAvatar;

    private String userHeadWare;

    /**
     * 接收者ID
     */
    private Long targetId;

    private String targetUserName;

    /**
     * 0 赠送 1 抽奖  2 开通贵族
     */
    private Integer showType;

    /**
     * 花费钻石
     */
    private Long costValue;

    /**
     * 图标地址
     */
    private String iconUrl;

    /**
     * 花费数量
     */
    private Integer costNum;

    /**
     * 房间类型
     */
    private Long roomType;

    /**
     * 房间ID
     */
    private Long roomId;

    /**
     * 外部ID
     */
    private Long extraId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Long createTime;

}
