package com.starbuds.server.api.app.pojo;

import lombok.Data;

/**
 * 游戏统计数据-列表数据
 *
 * @author aoe
 * @date 2020/10/20
 */
@Data
public class GameStatisticItem {

    /**
     * 类型 1：自主游戏(Game Dev)
     */
    private Integer type;

    /**
     * 显示名称
     */
    private String name;

    /**
     * 下注数量
     */
    private Integer bettingCount;

    /**
     * 下注金额
     */
    private String bettingAmount;

    /**
     * 中奖金额
     */
    private String winningAmount;
}
