package com.starbuds.server.api.app.pojo;

import lombok.Data;

import java.util.List;

/**
 * 游戏统计数据
 *
 * @author aoe
 * @date 2020/10/20
 */
@Data
public class GameStatisticReq {

    /**
     * 下注总金额
     */
    private String bettingTotal;

    /**
     * 中奖总金额
     */
    private String winningTotal;

    /**
     * 统计数据列表
     */
    private List<GameStatisticItem> list;
}
