package com.starbuds.server.api.app.pojo;

import lombok.Data;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/3/5 14:02
 * @Description 问答
 */
@Data
public class QuestionAnswerReq implements Serializable {

    /**
     * 问题id
     */
    @FormParam("questionId")
    private Long questionId;
    /**
     * 用户id
     */
    @FormParam("userId")
    private Long userId;
    /**
     * 模块id
     */
    @FormParam("moduleId")
    private Long moduleId;
    /**
     * 问题
     */
    @FormParam("question")
    private String question;
    /**
     * 答案
     */
    @FormParam("answer")
    private String answer;
    /**
     * 状态
     */
    @FormParam("status")
    private Integer status;
    /**
     * 更新时间
     */
    @FormParam("updateTime")
    private Long updateTime;

}
