package com.starbuds.server.api.app.pojo;

import lombok.Data;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 用户
 *
 * @author JDBuilder
 */
@Data
public class UserReq implements Serializable {
    /**
     * 用户id
     */
//	@FormParam("userId")
    private Long userId;

    //	@FormParam("userNo")
    private Long userNo;
    /**
     * 是否主播  0：否   1：是
     */
//	@FormParam("isAnchor")
    private Integer isAnchor;
    /**
     * 是否在线
     */
//	@FormParam("isOnline")
    private Integer isOnline;

    //	@FormParam("userStatus")
    private Integer userStatus;
    /**
     * 创建时间
     */
//	@FormParam("userCreateTime")
    private Long userCreateTime;
    /**
     * 更新时间
     */
//	@FormParam("userUpdateTime")
    private Long userUpdateTime;
    /**
     * 用户姓名
     */
    @FormParam("userName")
    private String userName;
    /**
     * 用户头像
     */
    @FormParam("userAvatar")
    private String userAvatar;
    /**
     * 性别
     */
    @FormParam("userSex")
    private Integer userSex;
    /**
     * 出生日期
     */
    @FormParam("userBornTime")
    private Long userBornTime;
    /**
     * 国家
     */
    @FormParam("countryId")
    private Integer countryId;
    /**
     * 关联区域
     */
    @FormParam("areaId")
    private Integer areaId;
    /**
     * 联系地址
     */
    @FormParam("userAddress")
    private String userAddress;
    /**
     * 年龄
     */
    @FormParam("userAge")
    private Integer userAge;
    /**
     * 星座
     */
    @FormParam("userConstellation")
    private Integer userConstellation;
    /**
     * 兴趣爱好
     */
    @FormParam("userHobby")
    private String userHobby;
    /**
     * 个人介绍
     */
    @FormParam("userIntro")
    private String userIntro;
    /**
     * 个性签名
     */
    @FormParam("userSign")
    private String userSign;
    /**
     * 个性标签
     */
    @FormParam("userTags")
    private String userTags;
    /**
     * 联系电话
     */
//	@FormParam("userPhone")
    private String userPhone;
    /**
     * 电子邮件地址
     */
    @FormParam("userEmail")
    private String userEmail;
    /**
     * 身高
     */
    @FormParam("userHeight")
    private String userHeight;
    /**
     * 体重
     */
    @FormParam("userWeight")
    private String userWeight;
    /**
     * 所在纬度
     */
//	@FormParam("userLatitude")
    private Double userLatitude;
    /**
     * 所在经度
     */
//	@FormParam("userLongitude")
    private Double userLongitude;
    /**
     * 语言
     */
    @FormParam("userLanguages")
    private String userLanguages;
    /**
     * 婚姻状况
     */
    @FormParam("userMarriage")
    private String userMarriage;
    /**
     * 收入水平
     */
    @FormParam("userIncome")
    private String userIncome;
    /**
     * 颜值封面
     */
    @FormParam("userCover")
    private String userCover;
    /**
     * 交友目的
     */
    @FormParam("userMarkingFriends")
    private String userMarkingFriends;
    /**
     * 财富等级
     */
//	@FormParam("wealthLevel")
    private Integer wealthLevel;
    /**
     * 魅力等级
     */
//	@FormParam("charmLevel")
    private Integer charmLevel;
    /**
     * 靓号
     */
//	@FormParam("niceNo")
    private Long niceNo;

    //	@FormParam("channelId")
    private Long channelId;
    /**
     * 重设昵称次数
     */
//	@FormParam("renameTimes")
    private Integer renameTimes;
    /**
     * 是否充值过
     */
//	@FormParam("hasRecharged")
    private Integer hasRecharged;
    /**
     * 所在行业
     */
    @FormParam("industry")
    private String industry;
    /**
     * 工作领域
     */
    @FormParam("workDomain")
    private String workDomain;
    /**
     * 所在公司
     */
    @FormParam("company")
    private String company;
    /**
     * 我的家乡
     */
    @FormParam("hometown")
    private String hometown;
    /**
     * 常去地点
     */
    @FormParam("visitedLocation")
    private String visitedLocation;
    /**
     * 所在地
     */
    @FormParam("location")
    private String location;
    /**
     * 学校
     */
    @FormParam("school")
    private String school;
    /**
     * 学历
     */
    @FormParam("education")
    private String education;
    /**
     * 月收入
     */
    @FormParam("income")
    private String income;
    /**
     * 喜欢的运动
     */
    @FormParam("sport")
    private String sport;
    /**
     * 喜欢的音乐
     */
    @FormParam("music")
    private String music;
    /**
     * 喜欢的食物
     */
    @FormParam("food")
    private String food;
    /**
     * 喜欢的电影
     */
    @FormParam("movie")
    private String movie;
    /**
     * 喜欢的书和动漫
     */
    @FormParam("bookAnime")
    private String bookAnime;
    /**
     * 旅行的足迹
     */
    @FormParam("footprint")
    private String footprint;
    /**
     * 喜欢的游戏
     */
    @FormParam("game")
    private String game;
    /**
     * 喜欢的明星
     */
    @FormParam("star")
    private String star;

}