package com.starbuds.server.api.app.pojo;

import lombok.Data;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * 用户开关表
 *
 * @author JDBuilder
 */
@Data
public class UserSwitchReq implements Serializable {
    /**
     * 关联物品 id
     */
    @FormParam("itemId")
    private Long itemId;
    /**
     * 开关 id
     */
    @FormParam("switchId")
    private String switchId;
    /**
     * 开关状态 0 关 1 开
     */
    @FormParam("switchStatus")
    private Integer switchStatus;
    /**
     * 开关类型
     */
    @FormParam("type")
    private Integer type;
    /**
     * 用户 id
     */
    @FormParam("userId")
    private Long userId;
}