package com.starbuds.server.api.app.pojo;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author lujiao
 * @DateTime 2021/7/23 16:06
 * @Description
 */
@Data
public class UserWatchExpireVo implements Serializable {

    private Long watchConfigId;

    /**
     * 守护名称
     */
    private String name;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 头像
     */
    private String userAvatar;

    /**
     * 性别
     */
    private Integer userSex;

    /**
     * 用户年龄
     */
    private Integer userAge;

    /**
     * 过期时间
     */
    private Long expireTime;

    /**
     * 守护值
     */
    private Integer watchValue;

    /**
     * 头饰
     */
    private String headWare;


    /**
     * 标签图
     */
    private String tagImage;

    /**
     * 背景图
     */
    private String bgImage;
}
