package com.starbuds.server.api.app.pojo;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author: lujiao
 * @Date: 2022/1/11 16:24
 */
@Data
public class WatchRelationWallHisVO implements Serializable {

    /**
     * 用户ID
     */
    private Long userId;

    private String userName;

    private String userAvatar;

    private String userHeadWare;


    /**
     * 是否是榜首
     */
    private Integer isRankWinner;

    /**
     * 被守护者ID
     */
    private Long targetUserId;

    private String targetUserName;

    private String targetUserAvatar;

    /**
     * 头饰
     */
    private String targetUserHeadWare;

    /**
     * 守护关系
     */
    private Long watchId;

    /**
     * 守护关系名称
     */
    private String watchName;

    /**
     * 花费
     */
    private Long costValue;

    /**
     * 创建方式(1开通 2拍卖)
     */
    private Integer createBy;

    /**
     * 创建时间戳
     */
    private Long createTime;


    private Long roomId;

    private Integer roomType;


}
