package com.starbuds.server.api.app.pojo;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author: lujiao
 * @Date: 2021/7/28 10:33
 */
@Data
public class WatchScoreRankHisVo implements Serializable {

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户头像
     */
    private String userAvatar;

    /**
     * 守护对象ID
     */
    private Long targetUserId;

    /**
     * 守护对象名称
     */
    private String targetUserName;

    /**
     * 守护对象头像
     */
    private String targetUserAvatar;

    /**
     * 守护ID
     */
    private Long watchId;

    /**
     * 守护名称
     */
    private String watchName;

    /**
     * 榜单排行
     */
    private Integer sort;

    /**
     * 亲密度
     */
    private Integer intimacyValue;

    /**
     * 榜单区间起始时间
     */
    private String sortStartTime;

    /**
     * 榜单区间结束时间
     */
    private String sortEndTime;

    /**
     * 标签图片
     */
    private String tagImage;

    private String bgImage;

}
