package com.starbuds.server.api.app.pojo.activity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: lujiao
 * @Date: 2021/9/3 13:49
 */
@Data
public class ActivityExchangeVo extends BaseActivityGiftVo implements Serializable {

    /**
     * 活动ID
     */
    private Long activityId;

    /**
     * 收集ID
     */
    private String collectId;

    /**
     * 是否可以兑换
     */
    private Integer canExchange;

    /**
     * 需求物品
     */
    private List<ActivityGiftFragmentVo> fragmentVoList;

    /**
     * 兑换物
     */
    private List<ActivityGiftFragmentVo> targetList;
}
