package com.starbuds.server.api.app.pojo.activity;

import lombok.Data;

import java.io.Serializable;

/**
 * 活动碎片配置接口
 *
 * @Author: lujiao
 * @Date: 2021/10/19 13:53
 */
@Data
public class ActivityLotteryPropConfigVO implements Serializable {

    /**
     * 抽奖 id
     */
    private String lotteryId;


    /**
     * 奖池奖项
     */
    private String lotteryRewards;

    /**
     * 抽奖需要碎片ID
     */
    private Long lotteryPropId;

    /**
     * 抽奖需要碎片名称
     */
    private String lotteryPropName;

    /**
     * 抽奖需要碎片数量
     */
    private Integer lotteryPropNum;

    /**
     * 碎片图标
     */
    private String lotteryPropImg;

    /**
     * 碎片拥有数量
     */
    private Integer lotteryPropOwnNum;

    private Integer lotteryPayType;

}
