package com.starbuds.server.api.app.pojo.activity;

import com.starbuds.server.common.pojo.activity.vo.LotteryGameRewardVO;
import lombok.Data;

import java.util.List;

/**
 * 抽奖游戏
 *
 * @author aoe
 * @date 2021/11/22
 */
@Data
public class LotteryGameVO {

    /**
     * 活动规则名称
     */
    private String itemName;

    private Long snapId;

    /**
     * 活动图标
     */
    private String iconUrl;

    /**
     * 活动类型 101 红包雨  102瓜分蛋糕
     */
    private Integer playType;

    /**
     * 活动开始时间
     */
    private Long startTime;

    /**
     * 活动结束时间
     */
    private Long endTime;

    /**
     * 还有多久开始（秒）
     */
    private Long remainTime;

    /**
     * 奖励列表
     */
    private List<LotteryGameRewardVO> rewards;

    /**
     * H5 页面地址
     */
    private String h5Url = "http://play.activity.panygo.com/dividecake";
}
