package com.starbuds.server.api.app.pojo.activity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: lujiao
 * @Date: 2021/9/2 15:35
 */
@Data
public class MiddleAutumnFestivalVo implements Serializable {

    /**
     * 开始时间
     */
    private Long startTime;

    /**
     * 结束时间
     */
    private Long endTime;

    /**
     * 这个是存储Id用
     */
    @JsonIgnoreProperties
    private List<Long> giftIds = new ArrayList<>();

    /**
     * 宝箱列表
     */
    private String associatedActivities;

    /**
     * 碎片合成物品列表
     */
    private String fragments;

    /**
     * 兑换列表
     */
    private List<ActivityExchangeVo> exchangeVoList;
}
