package com.starbuds.server.api.app.pojo.gift;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.ws.rs.FormParam;

/**
 * 赠送(动态)打赏礼物
 *
 * @author aoe
 * @date 2021/11/16
 */
@Data
public class SendRewardGiftForm extends SendGiftForm {

    /**
     * 动态id
     */
    @NotNull(message = "请选择动态")
    @Min(value = 1, message = "动态不存在")
    private @FormParam("feedId")
    Long feedId;

}
