package com.starbuds.server.api.app.pojo.gift;

import com.starbuds.server.common.annotation.check.XyNotNull;
import lombok.Data;

import javax.ws.rs.FormParam;

/**
 * 语音房赠送礼物表单
 *
 * @author aoe
 * @date 2020/12/16
 */
@Data
public class SendRtcGiftForm extends SendGiftForm {

    /**
     * 房间id
     */
    @XyNotNull(msg = "请选择房间")
    private @FormParam("roomId")
    Long roomId;
}
