package com.starbuds.server.api.app.pojo.official.form;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.ws.rs.FormParam;

/**
 * @author aoe
 * @date 2022/1/10
 */
@Data
public class ForbiddenForm {

    @NotNull(message = "用户ID 不能为空")
    @FormParam("userId")
    private Long userId;

    @NotNull(message = "封禁方式 不能为空")
    @FormParam("way")
    private Integer way;

    @NotNull(message = "封禁时长 不能为空")
    @FormParam("durationType")
    private Integer durationType;

    @NotBlank(message = "封禁原因 不能为空")
    @FormParam("remark")
    private String remark;
}
