package com.starbuds.server.api.app.pojo.rtc;

import com.starbuds.server.common.pojo.rtc.RtcRoomListItem;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 首页列表
 *
 * @Author: lujiao
 * @Date: 2022/1/7 17:36
 */
@Data
public class MainPageRoomListVO implements Serializable {

    /**
     * 种类ID
     */
    private Long categoryId;

    /**
     * 种类名称
     */
    private String categoryName;

    private String title;

    /**
     * 布局
     */
    private Integer layout;

    /**
     * 房间列表
     */
    private List<RtcRoomListItem> rtcRoomList;
}
