package com.starbuds.server.api.app.pojo.rtc.form;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.ws.rs.FormParam;

/**
 * 下麦
 *
 * @author aoe
 * @date 2021/9/23
 */
@Data
public class LeaveSeatForm {
    /**
     * 房间id
     */
    @FormParam("roomId")
    @NotNull(message = "roomId is required")
    private Long roomId;
    /**
     * 被踢用户pkg
     */
    @FormParam("targetPkg")
    @NotBlank(message = "targetPkg is required")
    private String targetPkg;


}
