package com.starbuds.server.api.app.pojo.rtc.singleRtc;

import com.starbuds.server.common.pojo.db.RtcRoomLiveHisDO;
import com.starbuds.server.common.pojo.rtc.RtcRoomCategory;
import com.starbuds.server.common.pojo.rtc.RtcRoomType;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author laoliu
 * @date 2021/10/27 16:49
 * @description 本场个播统计
 */
@Data
public class SingleRtcRoomStatVO extends RtcRoomLiveHisDO implements Serializable {

    /**
     * 今日总时长，毫秒数
     */
    private Long todayTotalTimeMillis;

    /**
     * 今日总场次
     */
    private Integer todayRoundNum;

}
