package com.starbuds.server.api.app.pojo.rtc.singleRtc;

import com.starbuds.server.common.pojo.rtc.RtcRoomCategory;
import com.starbuds.server.common.pojo.rtc.RtcRoomType;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author laoliu
 * @date 2021/10/27 16:49
 * @description
 */
@Data
public class SingleRtcRoomVO implements Serializable {

    private String roomCover;

    private String roomTitle;
    private String roomId;
    private String roomNo;
    private String roomName;

    private String roomType;

    private String categoryId;

    private Integer roomCoverAuditStatus;

    private String roomCoverAuditDesc;

    private List<RtcRoomCategory> rtcRoomCategories;

    private List<RtcRoomType> rtcRoomTypes;

    private Long familyId;

    private String familyName;

}
