package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 多礼物活动接口
 *
 * @author Lay
 * @date 2020/2/20
 */
public interface ActivityGiftsFacade {

    /**
     * 获取关系亲密度排行榜
     *
     * @return
     */
    Result getRankTopList(Long activityId, Integer type);

    /**
     * 获取个人亲密度排行榜
     *
     * @return
     */
    Result getRankListByUser(Long activityId, Integer type, Integer category, Integer pageIndex, Integer pageSize);
}
