package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 道具接口
 *
 * @author Lay
 * @date 2020/3/2
 */
public interface PropsFacade {
    /**
     * 兑换靓号
     *
     * @param bagId
     * @param niceNo
     * @return
     */
    Result exchangeNiceNo(String bagId, Long niceNo);

    /**
     * 续期靓号
     *
     * @param bagId
     * @return
     */
    Result renewNiceNo(String bagId);

    /**
     * 使用道具
     *
     * @param bagId
     * @return
     */
    Result useProps(String bagId);

    /**
     * 获取靓号列表
     *
     * @param niceLevel
     * @return
     */
    Result getNiceNoList(int niceLevel);
}
