package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 签到
 *
 * @Author: lujiao
 * @Date: 2021/8/16 16:00
 */
public interface SignInFacade {

    /**
     * 用户签到
     *
     * @return
     */
    Result signIn();

    /**
     * 获取签到配置
     *
     * @return
     */
    Result getSignInConfig();

    /**
     * 新增弹窗记录
     *
     * @param step
     * @return
     */
    Result addSignInToastHis(Integer step);
}
