package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 统计接口
 *
 * @author Lay
 * @date 2020/2/20
 */
public interface StatFacade {

    /**
     * 获取邀请统计
     *
     * @return
     */
    Result getInviteStat(Long agentId);

    /**
     * 获取邀请明细
     *
     * @param pageIndex
     * @param pageSize
     * @param agentId
     * @return
     */
    Result getInviteDetail(int pageIndex, int pageSize, Long agentId);

}
