package com.starbuds.apichannel;

import com.starbuds.login.ChannelLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;

import static com.starbuds.test.utils.XyHttpTools.*;
import static com.starbuds.test.utils.XyHttpTools.PKG_TYPE_ADMIN;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

public class DataFacadeImplTest {

    private static String HOST = HOST_CHANNEL_DEV;

    static {
        HOST = HOST_CHANNEL_TEST_ALY;

        XyHttpTools.pkgType = PKG_TYPE_ADMIN;
        try {
            ChannelLoginTest.saveLoginToken(HOST);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void getThirdPartyAppIconUploadConfigTest() throws IOException {
        String action = "api-channel/v1/data/getThirdPartyAppIconUploadConfig";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }
}