package com.starbuds.server.api.app.v1.impl;

import com.starbuds.server.api.app.util.UserServiceTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

public class NobleFacadeImplTest {

    private static UserServiceTest userService;
    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
        userService = new UserServiceTest(HOST);
    }

    // 新开贵族
    @Test
    public void newNoble() throws IOException {
        String action = "api-app/v1/noble/newNoble";
        Map<String, String> params = new HashMap<>();
        params.put("nobleLevel", "1");
        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    // 续费贵族
    @Test
    public void renewNoble() throws IOException {
        String action = "api-app/v1/noble/renewNoble";
        Map<String, String> params = new HashMap<>();
        params.put("times", "1");
        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }
}