package com.starbuds.server.api.app.v1.impl;

import com.starbuds.server.api.app.util.UserServiceTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

public class SocialFacadeImplTest {

    private static UserServiceTest userService;
    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
        userService = new UserServiceTest(HOST);
    }

    // 获取用户关注列表
    @Test
    public void testGetRoomList() throws IOException {
        String action = "api-app/v1/social/getFollowList";
        action += "?pageIndex=1";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    // 获取用户粉丝列表
    @Test
    public void getFansList() throws IOException {
        String action = "api-app/v1/social/getFansList";
        action += "?pageIndex=1";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

}